## dominate 2.7.0

=== Makefile ===
test:
	python2 -m pytest .
	python3 -m pytest .

publish: test
	rm dist/ -r
	python3 setup.py sdist
	python3 setup.py bdist_wheel
	python3 -m twine upload dist/*

## dominate 2.1.5

=== debian/changelog ===
dominate (2.1.5-1) unstable; urgency=medium

  * Initial release (Closes: #796518)

 -- Ross Gammon <rossgammon@mail.dk>  Mon, 24 Aug 2015 22:05:01 +0200

=== debian/control ===
Source: dominate
Maintainer: Ross Gammon <rossgammon@mail.dk>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-pytest,
               python3-all,
               python3-setuptools,
               python3-pytest
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dominate.git
Vcs-Git: git://anonscm.debian.org/collab-maint/dominate.git
Homepage: https://github.com/Knio/dominate
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-dominate
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Description: Python 2 library for creating and manipulating HTML documents
 Dominate is a Python library for creating and manipulating HTML documents
 using an elegant DOM API. It allows you to write HTML pages in pure Python
 very concisely, which eliminate the need to learn another template language,
 and to take advantage of the more powerful features of Python.
 .
 This package installs the library for Python 2.

Package: python3-dominate
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Python 3 library for creating and manipulating HTML documents
 Dominate is a Python library for creating and manipulating HTML documents 
 using an elegant DOM API. It allows you to write HTML pages in pure Python 
 very concisely, which eliminate the need to learn another template language, 
 and to take advantage of the more powerful features of Python.
 . 
 This package installs the library for Python 3.

## dominate 2.3.1

=== debian/changelog ===
dominate (2.3.1-1) unstable; urgency=medium

  * Move dominate to unstable from experimental, freeze over
  * Add tag styles to .git-dpm config file
  * Bump standards version, used https for copyright format URL
  * Clean egg files so package builds twice
  * Add autopkgtest-pkg-python test

 -- Ross Gammon <rosco2@ubuntu.com>  Fri, 14 Jul 2017 20:58:18 +0200

dominate (2.3.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Switch maintainer to Debian Python Modules Team
  * Change Vcs fields to DPMT & make them secure
  * Bump standards version, no changes required

 -- Ross Gammon <rosco2@ubuntu.com>  Thu, 16 Mar 2017 18:33:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: dominate
-Maintainer: Ross Gammon <rossgammon@mail.dk>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Ross Gammon <rosco2@ubuntu.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -10,12 +11,13 @@
                python3-all,
                python3-setuptools,
                python3-pytest
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dominate.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/dominate.git
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/dominate.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/dominate.git
 Homepage: https://github.com/Knio/dominate
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
+Testsuite: autopkgtest-pkg-python
 
 Package: python-dominate
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export PYBUILD_NAME = dominate
export PYBUILD_BEFORE_TEST := cp -a tests/*.py {build_dir}/
export PYBUILD_AFTER_TEST := \
	rm -rf {build_dir}/test_*.py

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/dominate-$1.tar.gz/ \
 https://github.com/Knio/dominate/tags .*/archive/v?([\d\.]+).tar.gz

## dominate 2.7.0

=== debian/changelog ===
dominate (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.7.0
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Wed, 27 Jul 2022 01:43:32 +0200

dominate (2.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * debian/control: Remove empty control field Uploaders.
  * Bump debhelper from deprecated 9 to 12.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Bump debhelper from old 12 to 13.

  [ Timo Röhling ]
  * Fix d/watch
  * New upstream version 2.6.0
    - Fix import of collections.abc.Callable (Closes: #1001295)
  * Bump Standards-Version to 4.6.0

 -- Timo Röhling <roehling@debian.org>  Sun, 20 Feb 2022 19:58:55 +0100

dominate (2.3.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 01:51:30 +0200

=== debian/control ===
Source: dominate
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/dominate
Vcs-Git: https://salsa.debian.org/python-team/packages/dominate.git
Homepage: https://github.com/Knio/dominate
Testsuite: autopkgtest-pkg-python

Package: python3-dominate
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Python 3 library for creating and manipulating HTML documents
 Dominate is a Python library for creating and manipulating HTML documents
 using an elegant DOM API. It allows you to write HTML pages in pure Python
 very concisely, which eliminate the need to learn another template language,
 and to take advantage of the more powerful features of Python.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/@PACKAGE@-$1.tar.gz/ \
 https://github.com/Knio/dominate/tags .*/v?([\d\.]+).tar.gz

## dominate 2.9.0

=== debian/changelog ===
dominate (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.9.0
  * Drop hash value patch in favor of upstream fix
  * Switch to PEP 517 build

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Nov 2023 22:24:02 +0100

dominate (2.8.0-2) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtest on 32 bit architectures

 -- Timo Röhling <roehling@debian.org>  Fri, 01 Sep 2023 21:15:27 +0200

dominate (2.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.8.0
  * Bump Standards-Version to 4.6.2
  * Migrate to autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Thu, 31 Aug 2023 12:51:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+	       pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
-               python3-pytest
-Standards-Version: 4.6.1
+               python3-pytest,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dominate
 Vcs-Git: https://salsa.debian.org/python-team/packages/dominate.git
 Homepage: https://github.com/Knio/dominate
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-dominate
 Architecture: all

## dominate 2.9.1

=== Makefile ===
test:
	-python2 -m pytest .
	python3 -m pytest .

publish_old: clean test
	python3 setup/setup.py sdist
	python3 setup/setup.py bdist_wheel
	python3 -m twine upload dist/*

publish: clean test
	python3 -m build --no-isolation
	python3 -m twine upload dist/*

clean:
	-rm dist/ -r
	-rm build/ -r
	-rm *.egg-info/ -r

=== debian/changelog ===
dominate (2.9.1-2) unstable; urgency=medium

  * Team upload.
  * Update tests for docstring dedenting in Python 3.13 (closes: #1088247).

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Dec 2024 14:56:20 +0000

dominate (2.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.9.1
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Apr 2024 00:05:20 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools,
                python3-pytest,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dominate
 Vcs-Git: https://salsa.debian.org/python-team/packages/dominate.git
 Homepage: https://github.com/Knio/dominate

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	rm -rf {build_dir}/test_*.py
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
